import { type ServicesCompatible } from "../compatible-layer/zero/mapDependenciesCompatible.js";
import type { MapToServicesType } from "../types/index.js";
import type { IBaseServiceResolutions } from "./IBaseServiceResolutions.js";
declare function injectable(): <TClass extends abstract new (...args: MapToServicesType<[]>) => any>(target: TClass, context?: ClassDecoratorContext<TClass> | undefined) => TClass;
declare function injectable<TServices extends ServicesCompatible>(dependencies: (resolutions: IBaseServiceResolutions) => [...TServices]): <TClass extends abstract new (...args: MapToServicesType<TServices>) => any>(target: TClass, context?: ClassDecoratorContext<TClass> | undefined) => TClass;
declare function injectable<TServices extends ServicesCompatible>(dependencies: (resolutions: IBaseServiceResolutions) => [...TServices]): <TClass extends new (...args: MapToServicesType<TServices>) => any>(target: TClass) => TClass;
export { injectable };
//# sourceMappingURL=injectable.d.ts.map