import { Debug } from "../../debug.js";
import { isAsyncServiceImplementationResolver } from "../../implementation-resolvers/isAsyncServiceImplementation.js";
export function validateAsyncImplementation(collection) {
    for (const descriptor of collection) {
        if (isAsyncServiceImplementationResolver(descriptor.resolver)) {
            console.warn(Debug.warnings.asyncValidation(descriptor));
        }
    }
}
//# sourceMappingURL=validateAsyncImplementation.js.map