import { Debug } from "../debug.js";
export function resolveGeneratorSync(iterator) {
    let result;
    while (!(result = iterator.next()).done) {
        result = iterator.throw(new Error(Debug.errors.lazyServiceCantResolveSync));
        if (result.done) {
            break;
        }
    }
    return result.value;
}
//# sourceMappingURL=resolveGeneratorSync.js.map