import type { IResolvedServiceImplementation, IServiceDescriptor, IServiceImplementationResolver, IServiceTypeResolver } from "../types/index.js";
import { BaseServiceImplementationResolver } from "./BaseServiceImplementationResolver.js";
export declare class ValueServiceImplementationResolver<T> extends BaseServiceImplementationResolver<T> {
    private readonly implementation;
    get name(): string;
    constructor(implementation: T | IServiceImplementationResolver<T>);
    resolve(internalGetService: IServiceTypeResolver, descriptor: IServiceDescriptor<any>, requestedBy: Set<IServiceDescriptor<any>>, mode: "sync" | "async"): Generator<Promise<unknown>, IResolvedServiceImplementation<T>, unknown>;
}
//# sourceMappingURL=ValueServiceImplementationResolver.d.ts.map