export class BaseServiceTypeResolver {
    next;
    get name() {
        return this.service.name;
    }
    get service() {
        if (isServiceTypeResolver(this.next)) {
            return this.next.service;
        }
        return this.next;
    }
    constructor(next) {
        this.next = next;
    }
}
export function isServiceTypeResolver(value) {
    return value instanceof BaseServiceTypeResolver;
}
//# sourceMappingURL=BaseServiceTypeResolver.js.map