import type { ServiceType, IResolverServiceType, SingleServiceType } from "../../types/index.js";
export type ServicesCompatible = (ServiceType<any> | [SingleServiceType<any>])[];
type RemapOldType<T extends ServicesCompatible[0]> = T extends IResolverServiceType<any, any> ? T : T extends [...infer P] ? IResolverServiceType<any, P> : IResolverServiceType<any, T>;
export type MapServicesCompatible<T extends ServicesCompatible> = {
    [K in keyof T]: RemapOldType<T[K]>;
};
export declare function mapDependenciesCompatible(dependencies: ServicesCompatible): IResolverServiceType<any, any>[];
export {};
//# sourceMappingURL=mapDependenciesCompatible.d.ts.map