import { getNameOfServiceType } from "./helpers/getNameOfServiceType.js";
export class Debug {
    static extended = false;
    static errors = {
        lazyServiceCantResolveSync: "Lazy service cannot be resolved synchronously",
        serviceNotLoaded: (loader) => "Service is not loaded yet",
        classNotDecorated: (name) => `Class "${name}" not registered as service`,
        optionalServiceAsDependency: (name, from) => `Optional service ${name} cannot be resolved during construction of service ${from}`,
    };
    static warnings = {
        asyncValidation: (descriptor) => `Service "${getNameOfServiceType(descriptor.service)}" is async and cannot be validated synchronously.`,
    };
}
//# sourceMappingURL=debug.js.map