import { ServiceCollection } from "../di/ServiceCollection.js";
import { ServiceProvider } from "../di/ServiceProvider.js";
export function tryResolveService(collection, service) {
    const collectionCopy = new ServiceCollection(collection);
    const provider = new ServiceProvider(collectionCopy).createScope();
    for (const descriptor of collectionCopy) {
        descriptor.dry = true;
    }
    provider.serviceProvider.getService(service);
    provider[Symbol.dispose]();
}
//# sourceMappingURL=tryResolveService.js.map