import type { IResolvedServiceImplementation, IServiceDescriptor, IServiceImplementationResolver, IServiceTypeResolver } from "../types/index.js";
import { BaseServiceImplementationResolver } from "./BaseServiceImplementationResolver.js";
export declare class AsyncServiceImplementationResolver<T> extends BaseServiceImplementationResolver<T> {
    private loader;
    get name(): string;
    private implementation;
    private promise;
    constructor(loader: () => Promise<T | IServiceImplementationResolver<T>>);
    resolve(internalGetService: IServiceTypeResolver, descriptor: IServiceDescriptor<T>, requestedBy: Set<IServiceDescriptor<any>>, mode: "sync" | "async"): Generator<Promise<unknown>, IResolvedServiceImplementation<T>, unknown>;
    private load;
}
//# sourceMappingURL=AsyncServiceImplementationResolver.d.ts.map