import type { IResolvedServiceImplementation, IServiceDescriptor, IServiceImplementationResolver, IServiceTypeResolver } from "../types/index.js";
export declare abstract class BaseServiceImplementationResolver<T> implements IServiceImplementationResolver<T> {
    abstract get name(): string;
    abstract resolve(internalGetService: IServiceTypeResolver, descriptor: IServiceDescriptor<any>, requestedBy: Set<IServiceDescriptor<any>>, mode: "sync" | "async"): Generator<Promise<unknown>, IResolvedServiceImplementation<T>, unknown>;
}
export declare function isServiceImplementationResolver<T>(value: unknown): value is IServiceImplementationResolver<T>;
//# sourceMappingURL=BaseServiceImplementationResolver.d.ts.map