import type { IResolvedServiceImplementation, IServiceDescriptor, IResolverServiceType, IServiceTypeResolver } from "../types/index.js";
import { BaseServiceImplementationResolver } from "./BaseServiceImplementationResolver.js";
export declare class ProxyServiceImplementationResolver<T> extends BaseServiceImplementationResolver<T> {
    private readonly service;
    get name(): string;
    constructor(service: IResolverServiceType<any, T>);
    resolve(internalGetService: IServiceTypeResolver, descriptor: IServiceDescriptor<T>, requestedBy: Set<IServiceDescriptor<any>>, mode: "sync" | "async"): Generator<Promise<unknown>, IResolvedServiceImplementation<T>, unknown>;
}
//# sourceMappingURL=ProxyServiceImplementationResolver.d.ts.map