import type { ServiceType, IServiceDescriptor, IServiceDescriptorResolver, IServiceCollection, IServiceInstancesStore } from "../types/index.js";
import { BaseServiceTypeResolver } from "./BaseServiceTypeResolver.js";
export declare class SingleServiceTypeResolver<T> extends BaseServiceTypeResolver<T, T> {
    constructor(next: ServiceType<T>);
    resolve(collection: IServiceCollection, instancesStore: IServiceInstancesStore, resolveServiceImplementation: IServiceDescriptorResolver, requestedBy: Set<IServiceDescriptor<any>>, mode: "sync" | "async", descriptor?: IServiceDescriptor<T>): Generator<Promise<unknown>, T, unknown>;
}
//# sourceMappingURL=SingleServiceTypeResolver.d.ts.map